package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadYWStatusCommandResponse;

public class ReadYWStatusCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1019982176997717896L;

	@Override
	public Class<ReadYWStatusCommandResponse> getResponseClass() {
		return ReadYWStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询爆管液位报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READYWSTATUS;
	}

}
